package com.ruoyi.project.zjsgfa.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;

/**
 * 设计-邻井井位对象 sj_ljjw
 * 
 * @author ruoyi
 * @date 2025-07-22
 */
public class SjLjjw extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键ID */
    private Long id;

    /** 井号 */
//    @Excel(name = "井号")
    private String jh;

    /** 邻井井号 */
    @Excel(name = "井号")
    private String ljjh;

    /** 井型 */
    @Excel(name = "井型")
    private String jx;

    /** 斜深 */
    @Excel(name = "斜深")
    private Double wjjs;

    /** 垂深 */
    @Excel(name = "垂深")
    private Double wjczjs;

    /** 完钻层位 */
    @Excel(name = "完钻层位")
    private String wzcw;

    /** 总开次 */
    @Excel(name = "总开次")
    private String kc;

    /** 钻井周期 */
    @Excel(name = "钻井周期")
    private Double zjzq;

    /** 钻完周期 */
    @Excel(name = "钻完周期")
    private Double wjzq;

    /** 井口距离 */
    @Excel(name = "井口距离")
    private Double jkjl;

    /** 井底距离 */
    @Excel(name = "井底距离")
    private Double jdjl;

    /** 井口横坐标 */
    @Excel(name = "井口横坐标")
    private Double jkhzb;

    /** 井口纵坐标 */
    @Excel(name = "井口纵坐标")
    private Double jkzzb;

    /** 井口横距离 */
    @Excel(name = "井口横距离")
    private Double jkhjl;

    /** 井口纵距离 */
    @Excel(name = "井口纵距离")
    private Double jkzjl;

    /** 井底横坐标 */
    @Excel(name = "井底横坐标")
    private Double jdhzb;

    /** 井底纵坐标 */
    @Excel(name = "井底纵坐标")
    private Double jdzzb;

    /** 井底横距离 */
    @Excel(name = "井底横距离")
    private Double jdhjl;

    /** 井底纵距离 */
    @Excel(name = "井底纵距离")
    private Double jdzjl;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }

    public void setJh(String jh) 
    {
        this.jh = jh;
    }

    public String getJh() 
    {
        return jh;
    }

    public void setLjjh(String ljjh) 
    {
        this.ljjh = ljjh;
    }

    public String getLjjh() 
    {
        return ljjh;
    }

    public void setJx(String jx) 
    {
        this.jx = jx;
    }

    public String getJx() 
    {
        return jx;
    }

    public void setWjjs(Double wjjs) 
    {
        this.wjjs = wjjs;
    }

    public Double getWjjs() 
    {
        return wjjs;
    }

    public void setWjczjs(Double wjczjs) 
    {
        this.wjczjs = wjczjs;
    }

    public Double getWjczjs() 
    {
        return wjczjs;
    }

    public void setWzcw(String wzcw) 
    {
        this.wzcw = wzcw;
    }

    public String getWzcw() 
    {
        return wzcw;
    }

    public void setKc(String kc) 
    {
        this.kc = kc;
    }

    public String getKc() 
    {
        return kc;
    }

    public void setZjzq(Double zjzq) 
    {
        this.zjzq = zjzq;
    }

    public Double getZjzq() 
    {
        return zjzq;
    }

    public void setWjzq(Double wjzq) 
    {
        this.wjzq = wjzq;
    }

    public Double getWjzq() 
    {
        return wjzq;
    }

    public void setJkjl(Double jkjl) 
    {
        this.jkjl = jkjl;
    }

    public Double getJkjl() 
    {
        return jkjl;
    }

    public void setJdjl(Double jdjl) 
    {
        this.jdjl = jdjl;
    }

    public Double getJdjl() 
    {
        return jdjl;
    }

    public void setJkhzb(Double jkhzb) 
    {
        this.jkhzb = jkhzb;
    }

    public Double getJkhzb() 
    {
        return jkhzb;
    }

    public void setJkzzb(Double jkzzb) 
    {
        this.jkzzb = jkzzb;
    }

    public Double getJkzzb() 
    {
        return jkzzb;
    }

    public void setJkhjl(Double jkhjl) 
    {
        this.jkhjl = jkhjl;
    }

    public Double getJkhjl() 
    {
        return jkhjl;
    }

    public void setJkzjl(Double jkzjl) 
    {
        this.jkzjl = jkzjl;
    }

    public Double getJkzjl() 
    {
        return jkzjl;
    }

    public void setJdhzb(Double jdhzb) 
    {
        this.jdhzb = jdhzb;
    }

    public Double getJdhzb() 
    {
        return jdhzb;
    }

    public void setJdzzb(Double jdzzb) 
    {
        this.jdzzb = jdzzb;
    }

    public Double getJdzzb() 
    {
        return jdzzb;
    }

    public void setJdhjl(Double jdhjl) 
    {
        this.jdhjl = jdhjl;
    }

    public Double getJdhjl() 
    {
        return jdhjl;
    }

    public void setJdzjl(Double jdzjl) 
    {
        this.jdzjl = jdzjl;
    }

    public Double getJdzjl() 
    {
        return jdzjl;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("jh", getJh())
            .append("ljjh", getLjjh())
            .append("jx", getJx())
            .append("wjjs", getWjjs())
            .append("wjczjs", getWjczjs())
            .append("wzcw", getWzcw())
            .append("kc", getKc())
            .append("zjzq", getZjzq())
            .append("wjzq", getWjzq())
            .append("jkjl", getJkjl())
            .append("jdjl", getJdjl())
            .append("jkhzb", getJkhzb())
            .append("jkzzb", getJkzzb())
            .append("jkhjl", getJkhjl())
            .append("jkzjl", getJkzjl())
            .append("jdhzb", getJdhzb())
            .append("jdzzb", getJdzzb())
            .append("jdhjl", getJdhjl())
            .append("jdzjl", getJdzjl())
            .toString();
    }
}
